<?php

$link_target_list = Array( 'Same Window' => '_self', 'New Window' => '_blank' );

$form_fields[] = $this->html->legend( '', 'Rename Shipping Zones' );

$form_fields[] = $this->html->p( '', 'Customize the column headings on your shipping table.' );

for ( $i=1; $i<=9; ++$i ) {
	$value = ( isset( $zones[$i] ) ) ? $zones[$i] : '';
	$form_fields[] = $this->html->formField( "Zone {$i}:", $this->html->input( "id:zone{$i},type:text,name:shipping[zones][{$i}],value:{$value}" ) );
}

$fieldset1 = $this->html->fieldset( '', $form_fields );

$fieldset2 = $this->html->fieldset( '', Array( 
		$this->html->legend( '', 'Shipping Link Attributes' ),
		$this->html->p( '', 'These settings change how the shipping link on the checkout page works.' ),
		$this->html->formField( 'Open Link In: ', $this->html->simpleSelect( 'id:link-target,type:text,name:shipping[link_target]', $link_target_list, $link_target ) ),
		$this->html->formField( 'Link Title: ', $this->html->input( "id:link-title,type:text,name:shipping[link_title],value:{$link_title}" ) )
		)
);

$submit_button = $this->html->input( 'type:submit,name:shipping_submit,value:Save' );

$form = $this->html->form( 'class:left,method:POST', Array( $fieldset1, $fieldset2, $this->getNonceField( ), $submit_button ) );

echo $form;
